org.apache.sling.provisioning.model

## Class Traceable

- java.lang.Object
- - org.apache.sling.provisioning.model.Traceable

Direct Known Subclasses:
  Commentable, Model, RunMode

    public abstract class Traceable
    extends Object

A traceable has an optional location.

### Constructor Summary

Constructors
Constructor and Description
`Traceable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocation()` Get the location.
`void` `setLocation(String value)` Set the location.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Traceable

    public Traceable()

### Method Detail

#### getLocation

    public String getLocation()

Get the location. The location might be the location of the model file or any other means identifying where the object is defined.

Returns:
  The location or `null`.

#### setLocation

    public void setLocation(String value)

Set the location.

Parameters:
  `value` - The new location.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`